HttpFileSystemConfBuilderPatched (The Data Transfer Agent Service 2.0.0-SNAPSHOT API)
Date: 2013-08-28

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.agent.impl.vfs
Class HttpFileSystemConfBuilderPatched

    java.lang.Object
      org.apache.commons.vfs2.FileSystemConfigBuilder
          org.apache.commons.vfs2.provider.http.HttpFileSystemConfigBuilder
              org.gcube.datatransfer.agent.impl.vfs.HttpFileSystemConfBuilderPatched

    public final class HttpFileSystemConfBuilderPatched

extends org.apache.commons.vfs2.provider.http.HttpFileSystemConfigBuilder

Patched version declaring timeout

Author:
  andrea

Constructor Summary
`protected` | `HttpFileSystemConfBuilderPatched()`
`protected` | `HttpFileSystemConfBuilderPatched(String prefix)`

Method Summary
`static HttpFileSystemConfBuilderPatched` | `getInstance()`
`int` | `getTimeout(org.apache.commons.vfs2.FileSystemOptions opts)`
`void` | `setTimeout(org.apache.commons.vfs2.FileSystemOptions opts, int timeout)`

Methods inherited from class org.apache.commons.vfs2.provider.http.HttpFileSystemConfigBuilder
`getConfigClass, getCookies, getMaxConnectionsPerHost, getMaxTotalConnections, getProxyAuthenticator, getProxyHost, getProxyPort, getUrlCharset, isPreemptiveAuth, setCookies, setMaxConnectionsPerHost, setMaxTotalConnections, setPreemptiveAuth, setProxyAuthenticator, setProxyHost, setProxyPort, setUrlCharset`

Methods inherited from class org.apache.commons.vfs2.FileSystemConfigBuilder
`getBoolean, getBoolean, getBoolean, getByte, getByte, getByte, getCharacter, getCharacter, getCharacter, getDouble, getDouble, getDouble, getFloat, getFloat, getFloat, getInteger, getInteger, getInteger, getLong, getLong, getLong, getParam, getRootURI, getShort, getShort, getShort, getString, getString, hasObject, hasParam, setParam, setRootURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpFileSystemConfBuilderPatched

    protected HttpFileSystemConfBuilderPatched(String prefix)

### HttpFileSystemConfBuilderPatched

    protected HttpFileSystemConfBuilderPatched()

Method Detail

### getInstance

    public static HttpFileSystemConfBuilderPatched getInstance()

### setTimeout

    public void setTimeout(org.apache.commons.vfs2.FileSystemOptions opts,
                           int timeout)

### getTimeout

    public int getTimeout(org.apache.commons.vfs2.FileSystemOptions opts)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.